import request from '@/utils/request'
export function getWorkloadByTrialAndReviewer(param) {
  return request({
    url: '/statistics/getWorkloadByTrialAndReviewer',
    method: 'post',
    data: param
  })
}

export function getEnrollStatByReviewer(param) {
  return request({
    url: '/statistics/getEnrollStatByReviewer',
    method: 'post',
    data: param
  })
}

export function getEnrollStatByTrial(param) {
  return request({
    url: '/statistics/getEnrollStatByTrial',
    method: 'post',
    data: param
  })
}

export function getParticipateTrialStats(param) {
  return request({
    url: '/statistics/getParticipateTrialStat',
    method: 'post',
    data: param
  })
}

export function getParticipateTrialList(userId) {
  return request({
    url: `/statistics/getParticipateTrialList/${userId}`,
    method: 'get'
  })
}
